connectivity-api: connectivityqt::VpnConnection Class Reference

connectivity-api

Classes | Public Types | Public Slots | Signals | Public Member Functions | Protected Attributes | Properties | List of all members
connectivityqt::VpnConnection Class Referenceabstract

`#include <connectivityqt/vpn-connection.h>`

Inheritance diagram for connectivityqt::VpnConnection:
[legend]
Collaboration diagram for connectivityqt::VpnConnection:
[legend]

## Classes
class | Priv

## Public Types
enum | Type { OPENVPN, PPTP }

## Public Slots
void | setId (const QString &id) const
void | setNeverDefault (bool neverDefault) const
void | setActive (bool active) const
void | updateSecrets () const

## Signals
void | idChanged (const QString &id)
void | neverDefaultChanged (bool neverDefault)
void | activeChanged (bool active)
void | activatableChanged (bool active)
void | remove () const

## Public Member Functions
| UNITY_DEFINES_PTRS (VpnConnection)
| VpnConnection (const QDBusObjectPath &path, const QDBusConnection &connection, QObject *parent=0)
virtual | ~VpnConnection ()
QDBusObjectPath | path () const
QString | id () const
bool | neverDefault () const
bool | active () const
bool | activatable () const
virtual Type | type () const =0

## Protected Attributes
std::shared_ptr< Priv > | d

## Properties
QDBusObjectPath | path
QString | id
bool | neverDefault
bool | active
bool | activatable
Type | type

## Member Enumeration Documentation

## ◆ Type

enum connectivityqt::VpnConnection::Type

Enumerator
OPENVPN |
PPTP |

## Constructor & Destructor Documentation

## ◆ VpnConnection()

connectivityqt::VpnConnection::VpnConnection | ( | const QDBusObjectPath & | path,
|  | const QDBusConnection & | connection,
|  | QObject * | parent = `0`
| ) |  |

## ◆ ~VpnConnection()

connectivityqt::VpnConnection::~VpnConnection | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ activatable()

bool connectivityqt::VpnConnection::activatable | ( |  | ) | const

## ◆ activatableChanged

void connectivityqt::VpnConnection::activatableChanged | ( | bool | active | ) |
| signal

## ◆ active()

bool connectivityqt::VpnConnection::active | ( |  | ) | const

## ◆ activeChanged

void connectivityqt::VpnConnection::activeChanged | ( | bool | active | ) |
| signal

## ◆ id()

QString connectivityqt::VpnConnection::id | ( |  | ) | const

## ◆ idChanged

void connectivityqt::VpnConnection::idChanged | ( | const QString & | id | ) |
| signal

## ◆ neverDefault()

bool connectivityqt::VpnConnection::neverDefault | ( |  | ) | const

## ◆ neverDefaultChanged

void connectivityqt::VpnConnection::neverDefaultChanged | ( | bool | neverDefault | ) |
| signal

## ◆ path()

QDBusObjectPath connectivityqt::VpnConnection::path | ( |  | ) | const

## ◆ remove

void connectivityqt::VpnConnection::remove | ( |  | ) | const
| signal

## ◆ setActive

void connectivityqt::VpnConnection::setActive | ( | bool | active | ) | const
| slot

## ◆ setId

void connectivityqt::VpnConnection::setId | ( | const QString & | id | ) | const
| slot

## ◆ setNeverDefault

void connectivityqt::VpnConnection::setNeverDefault | ( | bool | neverDefault | ) | const
| slot

## ◆ type()

virtual Type connectivityqt::VpnConnection::type | ( |  | ) | const
| pure virtual

Implemented in connectivityqt::PptpConnection, and connectivityqt::OpenvpnConnection.

## ◆ UNITY_DEFINES_PTRS()

connectivityqt::VpnConnection::UNITY_DEFINES_PTRS | ( | VpnConnection |  | ) |

## ◆ updateSecrets

void connectivityqt::VpnConnection::updateSecrets | ( |  | ) | const
| slot

## Member Data Documentation

## ◆ d

std::shared_ptr<Priv> connectivityqt::VpnConnection::d
| protected

## Property Documentation

## ◆ activatable

bool connectivityqt::VpnConnection::activatable
| read

## ◆ active

bool connectivityqt::VpnConnection::active
| readwrite

## ◆ id

QString connectivityqt::VpnConnection::id
| readwrite

## ◆ neverDefault

bool connectivityqt::VpnConnection::neverDefault
| readwrite

## ◆ path

QDBusObjectPath connectivityqt::VpnConnection::path
| read

## ◆ type

Type connectivityqt::VpnConnection::type
| read

The documentation for this class was generated from the following files:

- connectivityqt/vpn-connection.h
- connectivityqt/vpn-connection.cpp